package de.hdm_stuttgart.mi.sda1.model;


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;

@Entity
public class StudyCourse {
  @Id
  @Column(length = 3)
  private String shortName;

  @Column(length = 150, nullable = false, unique = true)
  private String fullName;

  protected StudyCourse(){}

  public StudyCourse(String shortName, String fullName) {
    this.shortName = shortName;
    this.fullName = fullName;
  }

  @Override
  public String toString() {
    return fullName + "(" + shortName + ")";
  }
}