package de.hdm_stuttgart.mi.sda1;

import de.hdm_stuttgart.mi.sda1.model.StudyCourse;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;

/**
 * Read a {@link StudyCourse} by its primary key value.
 */
public class ReadStudyCourseById {
  /**
   * @param args unused
   */
  public static void main( String[] args ) {

    final EntityManagerFactory factory = Persistence.createEntityManagerFactory(
      "strategy_none");
    final EntityManager em = factory.createEntityManager();

    final EntityTransaction tx = em.getTransaction();

    final StudyCourse studyCourse;
    tx.begin();
      studyCourse = em.find(StudyCourse.class, "CSM");
    tx.commit();

    System.out.println("Read + '" + studyCourse + "'");

    // See http://stackoverflow.com/questions/21645516/program-using-hibernate-does-not-terminate
    factory.close();
  }
}